<?php

/* Onpub (TM)
 * Copyright (C) 2009 Onpubco <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

if ($index == 'home')
{
  en('<title>' . $website->name . '</title>');
}
elseif ($index == 'section')
{
  if ($section)
  {
    en('<title>' . $website->name . ' - ' . $section->name . '</title>');
  }
  else
  {
    en('<title>' . $website->name . ' - Section ' . $_GET['sectionID'] .
      ' does not exist.</title>');
  }
}
elseif ($index == 'article')
{
  if ($article)
  {
    en('<title>' . $website->name . ' - ' . $article->title .
      '</title>');
  }
  else
  {
    en('<title>' . $website->name . ' - Article ' . $_GET['articleID'] .
      ' does not exist.</title>');
  }
}
elseif ($index == 'section-article')
{
  if ($section && $article)
  {
    en('<title>' . $website->name . ' - ' . $section->name . ' - '
      . $article->title . '</title>');
  }
  else
  {
    if ($section)
    {
      en('<title>' . $website->name . ' - ' . $section->name .
        ' - Article ' . $_GET['articleID'] .
        ' does not exist.</title>');
    }
    else
    {
      en('<title>' . $website->name . ' - Section ' . $_GET['sectionID']
        . ' does not exist.</title>');
    }
  }
}
?>