<?php

/* Onpub (TM)
 * Copyright (C) 2009 Onpubco <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

if ($website->image)
{
  en ('<a href="index.php"><img src="' . addTrailingSlash($website->imagesURL)
    . $website->image->fileName . '" alt="' . $website->image->fileName .
    '" title="' . $website->image->description . '"></a>');
}
else
{
  en ('<a href="index.php">' . $website->name . '</a>');
}
?>

<script type = "text/javascript">
  YAHOO.util.Event.onContentReady("onpubmenubar", function( )
  {
    var oMenu = new YAHOO.widget.MenuBar("onpubmenubar",
    {
      autosubmenudisplay: true,
      hidedelay: 750,
      lazyload: true
    } );

    oMenu.render();
    oMenu.show();
  });
</script>

<div id = "onpubmenubar" class = "yuimenubar yuimenubarnav">
  <div class = "bd">
    <ul class = "first-of-type">

      <?php
      $qo->includeArticles = true;
      // Get the "Menu" section.
      $menuLinks = $os->get(2, $qo);
      $links = $menuLinks->articles;

      foreach ($links as $l)
      {
        if ($l->url)
        {
          $href = $l->url;
        }
        else
        {
          $href = 'index.php?articleID=' . $l->ID;
        }

        en ('<li class="yuimenubaritem first-of-type">');
        en ('<a class="yuimenubaritemlabel" href="' . $href . '">' . $l->title
          . '</a>');
        en ('</li>');
      }

      $sections = $website->sections;

      foreach ($sections as $s)
      {
        en ('<li class="yuimenubaritem first-of-type">');
        en ('<a class="yuimenubaritemlabel" href="index.php?sectionID=' . $s->ID
          . '">' . $s->name . '</a>');

        $articles = $s->articles;

        foreach ($articles as $a)
        {
          en ('<div id="new" class="yuimenu">');
          en ('<div class="bd">');

          en ('<ul>');
          en ('<li class="yuimenuitem"><a class="yuimenuitemlabel" href="index.php?articleID='
            . $a->ID . '">' . $a->title . '</a></li>');
          en ('</ul>');

          en ('</div>');
          en ('</div>');
        }

        en ('</li>');
      }
      ?>
    </ul>
  </div>
</div>